Latest 2.0.1
Homepage https://github.com/ContinuousLearning/PokemonKit
License MIT
Platforms ios 8.0, osx 10.9, tvos 9.0, watchos 2.0, requires ARC
Dependencies Alamofire, AlamofireObjectMapper
Authors

Build Status
Version
License
Platform
Carthage compatible
codebeat badge

What is this?

PokemonKit is a swift wrapper for Pokeapi.

PokemonKit use Alamofire and PromiseKit for async web requests handling.

Usage

import PokemonKit

PokemonKit.fetchBerry("1")
            .then { berryInfo in
                self.testLabel.text = berryInfo.name;
            }.onError {error in
                print(error)
        }

TODO

  • [x] Wrap all API end points
  • [x] Fully Documented
  • [ ] Fully tested
  • [x] Carthage Support
  • [ ] Unit test don’t call server
  • [x] Remove PromiseKit (So many build errors, not worth it)

Installation

PokemonKit is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod 'PokemonKit'

If your using Carthage you can add a PokemonKit by adding it to your Cartfile:

github "ContinuousLearning/PokemonKit" ~> 2.0

In your Info.plist, add

<key>NSAppTransportSecurity</key>
<dict>
    <key>NSExceptionDomains</key>
    <dict>
        <key>pokeapi.co</key>
        <dict>
            <key>NSIncludesSubdomains</key>
            <true/>
            <key>NSTemporaryExceptionAllowsInsecureHTTPLoads</key>
            <true/>
            <key>NSTemporaryExceptionMinimumTLSVersion</key>
            <string>TLSv1.1</string>
        </dict>
    </dict>
</dict>

Author

Yeung Yiu Hung, [email protected]

License

PokemonKit is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "PokemonKit",
    "version": "2.0.1",
    "summary": "A wrapper for pokeapi v2",
    "description": "PokemonKit is a swift wrapper for Pokeapi.nPokemonKit use Alamofire web requests handling.",
    "homepage": "https://github.com/ContinuousLearning/PokemonKit",
    "license": "MIT",
    "authors": {
        "Yeung Yiu Hung": "[email protected]"
    },
    "source": {
        "git": "https://github.com/ContinuousLearning/PokemonKit.git",
        "tag": "2.0.1"
    },
    "social_media_url": "https://twitter.com/darkcl_dev",
    "platforms": {
        "ios": "8.0",
        "osx": "10.9",
        "tvos": "9.0",
        "watchos": "2.0"
    },
    "requires_arc": true,
    "source_files": "Classes/**/*",
    "dependencies": {
        "Alamofire": [
            "~> 3.0"
        ],
        "AlamofireObjectMapper": [
            "~> 2.1"
        ]
    }
}

Pin It on Pinterest

Share This